## Setup contact card `contact_card.create(ContactCardCreateParams**kwargs) -> SetContactCard` **post** `/v3/contact_card` Creates a contact card for a phone number. This endpoint is intended for initial, one-time setup only. The contact card is stored in an inactive state first. Once it's applied successfully, it is activated and `is_active` is returned as `true`. On failure, `is_active` is `false`. **Note:** To update an existing contact card after setup, use `PATCH /v3/contact_card` instead. ### Parameters - `first_name: str` First name for the contact card. Required. - `phone_number: str` E.164 phone number to associate the contact card with - `image_url: Optional[str]` URL of the profile image to rehost on the CDN. Only re-uploaded when a new value is provided. - `last_name: Optional[str]` Last name for the contact card. Optional. ### Returns - `class SetContactCard: …` - `first_name: str` First name on the contact card - `is_active: bool` Whether the contact card was successfully applied to the device - `phone_number: str` The phone number the contact card is associated with - `image_url: Optional[str]` Image URL on the contact card - `last_name: Optional[str]` Last name on the contact card ### Example ```python import os from linq import LinqAPIV3 client = LinqAPIV3( api_key=os.environ.get("LINQ_API_V3_API_KEY"), # This is the default and can be omitted ) set_contact_card = client.contact_card.create( first_name="John", phone_number="+15551234567", image_url="https://cdn.linqapp.com/contact-card/example.jpg", last_name="Doe", ) print(set_contact_card.first_name) ``` #### Response ```json { "phone_number": "+15551234567", "first_name": "John", "last_name": "Doe", "image_url": "https://cdn.linqapp.com/contact-card/example.jpg", "is_active": true } ```